Subject: Re: Raising the bar on the MBone

From: [email-masked]
Date: Fri, 1 Aug 1997 13:11:39 -0700 (PDT)

Ross Finlayson <[email-masked]> wrote:

> To help satisfy that last bullet, I'd like to strongly encourage that you
> also try to include some content that's appropriate for *low bandwidth*
> Internet connections.  By "low bandwidth", I don't mean ISDN - I mean 28.8
> kbps!  Like it or not, this is where most of the Internet lives, and the
> bulk of the most innovative content on the Internet in recent years has
> been for this level of bandwidth.  Progressive Networks and others have
> demonstrated that audio (& even video, if you squint hard enough :-) can
> work at this level.  Plus there are other multicast-based applications -
> besides A/V - that can work well at these bandwidths.

As I read the items on Steve Casner's list, it would seem that IPMI
has in mind experimenting with both lower bandwidth streams *and* 
higher-bandwidth streams.  

Presumably, "compelling content" would differ depending on the 
bandwidth of the data stream.  

An experimental stream using MPEG-1 on ~2 Mbits/sec, could provide 
a "VCR quality" viewing experience that might be of compelling 
interest to corporate, educational, governmental, and experimental 
networks capable of receiving it.  There is no known technology 
to provide VCR quality over a 28.8 modem.

However, with the right audio and video codecs, you can do 
something at 28.8, and, as I read the IPMI proposal, if the 
content and technology are available, such experiments will 
also be tried.  At the moment, though, vic, which most of 
us are currently using, lacks a robust very-low-bitrate
video codec suitable for "compelling content".  (That is, 
you *can* run H.261 at such data rates, but, it isn't really 
what you want to do if you want to show live-action at low
bit-rates. )  vic also lacks an MPEG-1 software decoder.  
(MPEG-1 encoding purely in software is unlikely, so, MPEG-1 
hardware encoder support would also have to be provided (by someone) 
in vic.  So, the bottom line is, that not everyone will be able 
to receive all the material, in all the formats, depending... 

I assume that the "compelling content" will encourage people 
to make the effort download/test new software along with their 
familiar, free H.261 tools, and perhaps even experiment with some
hardware if they feel like it.  Perhaps, even buy some new software
and/or hardware.  At the moment, the compelling content seems to
be lacking to push people beyond the current Mbone and H.261 codecs.

Dave Barr wrote:
>
>Content.  Content.  Content.  That is what is going to drive Mbone growth.
>The only things holding Mbone back are bad service and good software
>availablity.  (that, and a little bit of marketing)

Regarding software: I think that the free software available 
in the Unix arena is fantastic for the price, so, I assume 
that you are referring to the Microsoft arena.  I guess it
is pretty obvious that some of the players in the IPMI are
attempting to sell their software (for money).  Considering
the role of package software in the Microsoft marketplace,
that seems reasonable to me.  Free trials are usually 
available.

Regarding service: One of the things which the IPMI is attempting
to do with this experiment is to improve the quality of the
service at the head-end, so that any ISP that wants to participate
will receive a loss-free feed.  This will have to be a cooperative
effort involving the interested parties.

Regarding content/content/content: What content would 
people on this list consider "compelling"?

Beau Williamson <[email-masked]> wrote:

> I agree with Dave whole heartedly here. Content is the key!  
> 
> The second is that this compelling content really needs to fit in the
> 28.8kbps bandwidth space to generate the demand that is necessary to drive
> ISPs to develop the business models and infrastructures necessary to
> support the demand.

Again, I believe that *some* of the material will fit within 28.8,
just as some of it will run at, say, 2 Mbits/sec.  Consumer-oriented
ISPs would be more interested in the 28.8 streams, just as some
businesses and their carriers would be more interested in high-quality
business-oriented content at 2 Mbits/sec., I would imagine.   I think
it makes sense to target different content and data streams at 
different audiences.
 
> Point in case, as I sit here writting this, I am still trying to get a
> decent set of MBONE tools for the WIN95 environment.  SDR and VAT seem to
> be pretty well ported to this environment but there is no port of the
> Whiteboard (WB) tool to the WIN95 environment.  This means I can't
> participate in many of the most common multicast forums which use VAT and
> WB as a simple but tremendously effective conferencing method.  If we could
> could concentrate on providing the ability to perform this sort of
> conferencing (audio & WB only) via 28.8kbps attached workstations I think
> we could really create some serious demand for multicasting.  

I know this isn't a general solution to the problem, but, you can 
get "wb" on your PC if you run FreeBSD, and FreeBSD is surprisingly
easy to install for anyone with any Unix sysadmin experience.
Audio I/O and video capture/transmission are likely to be some effort,
unfortunately.

> I won't even go into the frustration of not being able to get a working
> copy of VIC that will transmit video from my PC.  I know that there are
> some versions out there will do some limited video sourcing but due to bugs
> in the TCL/TK library with which it was built, it is virtually unusable for
> a large majority of PCs.  

The stuff that is out there now works surprisingly well, considering,
but, this is a case where, if you want quality Microsoft W95/NT
applications, you will probably have to pay money, rather than
get them for free. 

> Having said that, I want to be clear that we are all grateful to those
> souls that have given freely of their time to work on porting these MBONE
> tools to the various platforms.  To those hearty souls we say, "Thank you,
> thank you, THANK YOU!!!  Your efforts are appreciated by all."  However, my
> point is that this is an area that could be addressed by members of the
> MBONE community to help accelerate the use of multicasting and the MBONE in
> general(or whatever the new multicasting infrastructure is called).

Just to be perfectly clear, I'm voicing my personal opinions only.

-Hugh LaMaster

  Hugh LaMaster, M/S 258-5,     ASCII Email:  [email-masked]
  NASA Ames Research Center     Or:           [email-masked]
  Moffett Field, CA 94035-1000  No Junkmail:  USC 18 section 2701
  Phone:  415/604-1056          Disclaimer:   Unofficial, personal *opinion*.

---

From: Beau Williamson <[email-masked]>
Date: Fri, 01 Aug 1997 18:45:03 -0500

>Audio I/O and video capture/transmission are likely to be some effort,

You're right. I don't consider this a solution.  The solution is to provide
ALL popular platforms with minimum MBONE toolsets.  This means native WB
under WIN95.  I would think having audio and WB ability via dialin internet
service would be a very popular use of multicast.

I suggest the MBONE tools as a target here because they are (to my
knowledge) the nearest thing to a set of multicast tools that will run on
just about anything and they are free.  If someone could concentrate on
finishing the set out to include all popular platforms, then I think people
would begin to deploy them extensively.  Once that happens, the demand on
the ISPs (IMHO) to provide multicast support would begin to take off.
Well, it would at least increase rather substantially.  (Some times I get
carried away.  ;->)

>applications, you will probably have to pay money, rather than

The issue of "to pay or not to pay" is not the problem here.  The problem
is Microsoft's tools currently play only on WIN95/NT based platforms.
Until they at least add support for the major Unix platforms and the Mac,
this will not be a major driver. (Again, IMHO)

>Just to be perfectly clear, I'm voicing my personal opinions only.

Me too.  

However, I think raising the bar is a good idea.  I just think that maybe
we should tackle it from a slightly different direction than maybe some
others on this list but I'm open to all ideas.

Multicast on Garth!

Beau Williamson

---

From: Amancio Hasty <[email-masked]>
Date: Fri, 01 Aug 1997 19:50:54 -0700

> Audio I/O and video capture/transmission are likely to be some effort,

Yeap, and FreeBSD supports mrouted 8)

Hmm... if you have a gus pnp , a bt848 or matrox meteor what is the
effort that you are referring to?

	Tnks,
	Amancio